/* BOREXINO Reconstruction program
 *
 * Author: Alessandro Razeto <Alessandro.Razeto@ge.infn.it>
 * 	   Marco Pallavicini <pallas@ge.infn.it>
 *
 * $Id: bx_test_module.hh,v 1.2 2004/03/21 18:55:05 razeto Exp $
 *
 * dummy module used to test the framework
 * 
 */
#ifndef _BX_TEST_H
#define _BX_TEST_H

#include "bx_base_module.hh"
#include "bx_base_module.hh"
#include "bx_rec_general.hh"

class bx_test_module: public bx_base_module {
  public:
    bx_test_module ();
    virtual ~bx_test_module () {}

    virtual void begin ();
    virtual bx_reco_event* doit (bx_reco_event *ev);
    virtual void end ();
  private:
    int i4_times;
};

#endif
/*
 * $Log: bx_test_module.hh,v $
 * Revision 1.2  2004/03/21 18:55:05  razeto
 * Some cosmetic changes
 *
 * Revision 1.1  2004/03/20 17:39:45  pallas
 * First release
 *
 * Revision 1.1  2004/03/20 14:16:47  razeto
 * Added sources
 *
 */
